diff -ur apt-0.6.46/apt-pkg/deb/dpkgpm.cc apt-0.6.46.patched/apt-pkg/deb/dpkgpm.cc
--- apt-0.6.46/apt-pkg/deb/dpkgpm.cc	2006-07-25 13:19:00.000000000 +0200
+++ apt-0.6.46.patched/apt-pkg/deb/dpkgpm.cc	2006-09-24 23:06:23.000000000 +0200
@@ -355,28 +355,28 @@
    static const struct DpkgState DpkgStatesOpMap[][5] = {
       // Install operation
       { 
-	 {"half-installed", _("Preparing %s")}, 
-	 {"unpacked", _("Unpacking %s") }, 
+	 {"half-installed", N_("Preparing %s")}, 
+	 {"unpacked", N_("Unpacking %s") }, 
 	 {NULL, NULL}
       },
       // Configure operation
       { 
-	 {"unpacked",_("Preparing to configure %s") },
-	 {"half-configured", _("Configuring %s") },
-	 { "installed", _("Installed %s")},
+	 {"unpacked",N_("Preparing to configure %s") },
+	 {"half-configured", N_("Configuring %s") },
+	 { "installed", N_("Installed %s")},
 	 {NULL, NULL}
       },
       // Remove operation
       { 
-	 {"half-configured", _("Preparing for removal of %s")},
-	 {"half-installed", _("Removing %s")},
-	 {"config-files",  _("Removed %s")},
+	 {"half-configured", N_("Preparing for removal of %s")},
+	 {"half-installed", N_("Removing %s")},
+	 {"config-files",  N_("Removed %s")},
 	 {NULL, NULL}
       },
       // Purge operation
       { 
-	 {"config-files", _("Preparing to completely remove %s")},
-	 {"not-installed", _("Completely removed %s")},
+	 {"config-files", N_("Preparing to completely remove %s")},
+	 {"not-installed", N_("Completely removed %s")},
 	 {NULL, NULL}
       },
    };
@@ -670,7 +670,7 @@
 	 {
 	    // only read the translation if there is actually a next
 	    // action
-	    const char *translation = states[PackageOpsDone[pkg]].str;
+	    const char *translation = _(states[PackageOpsDone[pkg]].str);
 	    char s[200];
 	    snprintf(s, sizeof(s), translation, pkg);
 
Only in apt-0.6.46.patched: build
diff -ur apt-0.6.46/buildlib/apti18n.h.in apt-0.6.46.patched/buildlib/apti18n.h.in
--- apt-0.6.46/buildlib/apti18n.h.in	2006-03-02 14:29:56.000000000 +0100
+++ apt-0.6.46.patched/buildlib/apti18n.h.in	2006-09-24 22:56:43.000000000 +0200
@@ -14,8 +14,10 @@
 # else
 #   define _(x) gettext(x)
 # endif
+# define N_(x) x
 #else
 // apt will not use any gettext
 # define setlocale(a, b)
 # define _(x) x
+# define N_(x) x
 #endif
